import { EditOutlined } from '@ant-design/icons';
import dayjs from 'dayjs';
import { ScheduleDTO } from '../../../types/schedule';
import { i18nText } from '../../../i18nKeys';
import { LinkButton } from '../../view/LinkButton';
import {useState} from "react";
import {Tag} from "antd";
import {getCurrentTime} from "../../../utils/time";

type ExpertScheduleProps = {
    locale: string;
    data?: ScheduleDTO;
};

export const ExpertSchedule = ({ locale, data }: ExpertScheduleProps) => {
    const [showEdit, setShowEdit] = useState<boolean>(false);
    // person51

    return (
        <div className="coaching-section__wrap">
            <div className="coaching-section">
                <div className="coaching-section__title">
                    <h2 className="title-h2">{i18nText('schedule', locale)}</h2>
                    {/*<LinkButton
                        type="link"
                        icon={<EditOutlined />}
                        onClick={() => setShowEdit(true)}
                    />*/}
                </div>
                <div className="b-schedule-list">
                    {data && data?.workingTimes?.map((date, index) => {
                        const { startDay, startTime, endDay, endTime } = getCurrentTime(date);

                        return (
                            <div key={`date_${index}`}>
                                <Tag className="skills__list__item">{i18nText(startDay, locale)}</Tag>
                                <div>{startTime}</div>
                                <span>-</span>
                                {startDay !== endDay && <Tag className="skills__list__item">{i18nText(endDay, locale)}</Tag>}
                                <div>{endTime}</div>
                            </div>
                        )
                    })}
                </div>
            </div>
        </div>
    );
};
