import { ExpertsThemesGroups } from './tags';

export type Supervision = {
    id: number,
    name: string
};

export type PracticeCase = {
    id?: number,
    userId?: number,
    description?: string,
    themesGroupIds?: number[]
};

export type PracticeData = {
    practiceHours?: number,
    supervisionPerYearId?: number,
    sessionDuration?: number,
    sessionCost?: number,
    practiceCases?: PracticeCase[]
};

export type PracticePersonData = PracticeData & {
    themesGroups?: ExpertsThemesGroups[],
    supervisionPerYears?: Supervision[],
    sessionCosts?: number[]
};

export interface PracticeDTO {
    person4Data: PracticePersonData
}
